begin P_mixing arriving
	move into Q_mix
	get R_mix
	wait for 10 min /* add A */
	wait for 5 min /* add B */
	wait for n 15, 1 min /* increase temperature */
	wait for n 40, 2 min /* mix until viscosity set is reached */ 
	choose a resource from among R_operator(1), R_operator(2) whose current loads = 0
	save choice as A_chosenOperator
	if A_chosenOperator = null /* do not procede until an operator is available */
		begin
			print "waiting for an operator" to LBL_mixing
			wait to be ordered on OL_testing
			print " " to LBL_mixing		
			choose a resource from among R_operator(1), R_operator(2) whose current loads = 0
			save choice as A_chosenOperator
		end
	use A_chosenOperator for e 50 min /* testing */
	order 1 load from OL_testing to continue
	send to P_storage
end

begin P_storage arriving
	set A_quality to oneof(97:1, 3:0) /* test results */
	if A_quality = 1 then 
		wait for u 8.5, 1.5 min
	else
		wait for u 6.5, 1.5 min
	move into Q_storage
	print "batches in storage = " Q_storage current loads to LBL_storage
	free R_mix	  
	create 1 load of type L_batch to P_mixing
	wait to be ordered on OL_storage
	print "batches in storage = " Q_storage current loads -1 to LBL_storage
	send to die
end

begin P_trucks arriving 
	move into Q_waitingLine
	print "trucks waiting to be filled = " Q_waitingLine current loads to LBL_trucks
	move into Q_fillTank
	print "trucks waiting to be filled = " Q_waitingLine current loads to LBL_trucks
	get R_fillTank
	wait until Q_storage current loads > 0  
	wait for u 8,1 min
	order 1 load from OL_storage to continue
	free R_fillTank
end


begin P_operatorCycle arriving
	set A_index to nextof(1,2)
	while 1=1 do 
	begin
		wait for 120 min			/*works for 2 hours*/	
		take down R_operator(A_index)		/*first break*/	 
		wait for 15 min				/*lasts for 15 min*/
		bring up R_operator(A_index)			/*back to work*/
		wait for 105 min			/*work until lunch*/
		take down R_operator(A_index)		/*lunch time*/
		wait for 30 min				/*30 minute lunch*/
		bring up R_operator(A_index)			/*back to work*/
		wait for 90 min				/*works for 1.5 hours*/
		take down R_operator(A_index)		/*second break*/
		wait for 15 min				/*lasts for 15 min*/
		bring up R_operator(A_index)			/*back to work*/
		wait for 105 min			/*work until shift ends*/
	end
end

